#!/bin/sh

INTERNAL_NET=eth0
EXTERNAL_NET=eth1

if [ -f /etc/maas-cert-server/config ] ; then
    . /etc/maas-cert-server/config
fi

echo 1 > /proc/sys/net/ipv4/ip_forward
/sbin/iptables -t nat -A POSTROUTING -o $EXTERNAL_NET -j MASQUERADE
/sbin/iptables -A FORWARD -i $EXTERNAL_NET -o $INTERNAL_NET -m state \
               --state RELATED,ESTABLISHED -j ACCEPT
/sbin/iptables -A FORWARD -i $INTERNAL_NET -o $EXTERNAL_NET -j ACCEPT

